ranges::move_sentinel< S > Struct Template Reference
Iterator

## Friends

template<typename I >
auto | operator!= (move_iterator< I > const &i, move_sentinel const &s) -> bool requires sentinel_for< S, I >
template<typename I >
auto | operator!= (move_sentinel const &s, move_iterator< I > const &i) -> bool requires sentinel_for< S, I >
template<typename I >
auto | operator== (move_iterator< I > const &i, move_sentinel const &s) -> bool requires sentinel_for< S, I >
template<typename I >
auto | operator== (move_sentinel const &s, move_iterator< I > const &i) -> bool requires sentinel_for< S, I >

## Public Member Functions

S | base () const
constexpr | move_sentinel (S s)
template<typename OS >
constexpr | move_sentinel (move_sentinel< OS > const &that) requires convertible_to< OS

## Public Attributes

constexpr | S: sent_(that.base()) {} template<typename OS> auto operator=(move_sentinel<OS> const & that) -> move_sentinel & requires convertible_to<OS
return * | this

## Member Data Documentation

## S

template<typename S>

constexpr ranges::move_sentinel< S >::S

Initial value:
{
sent_ = that.base()